require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "updates a content" do
    VCR.use_cassette('update_service_content') do
      @content = @client.update_service_content('4E4BDA5A068E2C5B0E2E0100', '4FDA5D46A13BCA7409030000', {
      text: 'Update text',
      title: 'Update title'
    })
    end
    expect(@content[:text]).to eql("Update text")
    expect(@content[:title]).to eql("Update title")
  end

  it "creates a content" do
    VCR.use_cassette('create_service_content') do
      @content = @client.create_service_content('4E4BDA5A068E2C5B0E2E0100', {
      text: 'create text',
      title: 'create title',
      type: 'table'
    })
    end
    expect(@content[:text]).to eql("create text")
    expect(@content[:title]).to eql("create title")
  end

end
