require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('test')
  end

  it "returns all the available countries" do
    VCR.use_cassette('countries') do
      @countries = @client.countries
    end
    expect(@countries.count).to eql(6)
  end

  it "returns the requested country" do
    VCR.use_cassette('country(fr)') do
      @country = @client.country('FR')
    end
    expect(@country[:name]).to eql("PennyFR")
  end
end
