require_relative '../spec_helper'

describe TurbaKit do
  before  do
    @client = TurbaKit::Client.new('a58d65f70d82bdf7fba5230b')
  end

  it "updates a place" do
    VCR.use_cassette('update_service_place') do
      @place = @client.update_service_place('4E4BDA5A068E2C5B0E2E0100', '4FE078BCF1F70EC974000022', {
      text: 'Update text',
      country: 'France',
      city: 'Paris'
    })
    end
    expect(@place[:text]).to eql("Update text")
    expect(@place[:country]).to eql("France")
    expect(@place[:city]).to eql("Paris")
  end

  it "creates a place" do
    VCR.use_cassette('create_service_place') do
      @place = @client.create_service_place('4E4BDA5A068E2C5B0E2E0100', {
      text: 'create place',
      country: 'France',
      city: 'Paris'
    })
    end
    expect(@place[:text]).to eql("create place")
    expect(@place[:country]).to eql("France")
    expect(@place[:city]).to eql("Paris")
  end

end
