require_relative '../lib/turba_kit'

require 'rspec'
require 'webmock/rspec'
require 'vcr'
require 'turn'

API_VERSION = 'v2'

RSpec.configure do |config|
  config.raise_errors_for_deprecations!
end

Turn.config do |c|
  c.format  = :outline
  c.trace   = true
  c.natural = true
end

VCR.configure do |c|
  c.configure_rspec_metadata!
  c.default_cassette_options = {
    serialize_with: :json,
    preserve_exact_body_bytes: true,
    decode_compressed_response: true,
    record: :once
  }
  c.cassette_library_dir = 'spec/cassettes'
  c.hook_into :webmock
end
